en

‫ رفع اشکالات حیاتی Thunderbird توسط Mozilla

Mozilla Mozilla Thunderbird کارخواه رایانامه، اخبار، RSS و چت است که رایگان و متن‌باز است و توسط مؤسسه‌ی Mozilla ایجاد شده است. اوایل سال جاری، Mozilla اعلام کرد که کد واسط کاربری Thunderbird را به‌روزرسانی خواهد کرد و آن را با حذف پشتیبانی از افزونه‌های قدیمی که بر روی واسط‌های برنامه‌نویسی XUL و XPCOM ساخته شده‌اند، به فایرفاکس نزدیک‌تر خواهد کرد.
Mozilla به تازگی به‌روزرسانی امنیتی مهمی را منتشر ساخته است که 5 نقص امنیتی Thunderbird را رفع می‌کند. این وصله بخشی از پنج رفع نقص ماه دسامبر است. نقص های ذکر شده شامل دو اشکال با درجه خطر بالا، یک اشکال با درجه خطر متوسط و بقیه با درجه ی پایین است.
مهم‌ترین رفع نقص این وصله مربوط به آسیب پذیری سرریز بافر (CVE-2017-7845) در نسخه ویندوزی Thunderbird است. بنا به گفته‌ی Mozilla، این اشکال زمانی رخ می دهد که طراحی و اعتبارسنجی عناصری که از Direct3D 9 با کتابخانه‌ی گرافیکی ANGLE استفاده می‌کنند، برای محتوای WebGL استفاده شده باشد. این امر به دلیل مقداردهی نادرست درون کتابخانه است تا در نهایت منجر به Crash کردن برنامه گردیده و به نفوذگر اجازه سوء استفاده دهد.
همین آسیب‌پذیری بحرانی (CVE-2017-7845) در اوایل ماه جاری در مرورگر وب Mozilla firefox نیز گزارش و در نسخه‌ی 57.0.2 که در 7 دسامبر منتشر شد، رفع گردید.
دو مشکل امنیتی دیگر که دارای درجه اهمیت بالا می باشند با شناسه های CVE-2017-7846 و CVE-2017-7847 مشخص گردیده اند.
آسیب‌پذیری اول در RSS Reader Thunderbird کشف شده است. Mozilla در توضیحات این آسیب پذیری گفته است که امکان اجرای جاوااسکریپت در feed RSS ، زمانی که به عنوان یک وب‌ سایت مشاهده می‌شود، وجود دارد. یعنی زمانی که از طریق منو View به Feed Article رفته و سپس وب‌ سایت مورد نظر را انتخاب می¬کنیم. همچنین در صورت طی مسیر زیر نیز امکان رخ دادن این آسیب پذیری وجود دارد:
“View -> Feed Article -> Default Format”
در مورد دومین آسیب‌پذیری نیز اینگونه شرح داده شده است که CSS ساخته‌شده در RSS feed می‌تواند مسیر محلی را که ممکن است شامل نام کاربری باشد، فاش کند و نمایش دهد.
آسیب‌پذیری‌ CVE-2017-7848 که دارای درجه ریسک متوسط است یک اشکال RSS است که به نفوذگر اجازه می دهد تا اقدام به تغییر محتوای ایمیل نموده و یا محتوای مورد نظر خود را در یک خط جدید به آن اضافه کند.
آسیب‌پذیری CVE-2017-7829 نیز که دارای درجه اهمیت پایین است بر ارسال رایانامه اثر می‌گذارد و در آن امکان جعل آدرس فرستنده‌ی رایانامه و نمایش آدرس فرستنده‌ی دلخواه برای گیرنده‌ی رایانامه وجود دارد. اگر آدرس فرستنده با کاراکتر تهی (null) آغاز شود، آدرس واقعی فرستنده نمایش داده نمی‌شود.


The Wall

No comments
You need to sign in to comment